TaskId TaskSetup(TaskName_t           TaskName,
                 TaskSetupParamSet_t *TaskSetupParams)
{
   TaskId TaskNum;

   switch (TaskName) {
      case TASK_PCI_TX:
         TaskNum = TaskSetup_TASK_PCI_TX(PCI_TX, TaskSetupParams);
         break;
      case TASK_PCI_RX:
         TaskNum = TaskSetup_TASK_PCI_RX(PCI_RX, TaskSetupParams);
         break;
      case TASK_FEC_TX:
         TaskNum = TaskSetup_TASK_FEC_TX(FEC_TX, TaskSetupParams);
         break;
      case TASK_FEC_RX:
         TaskNum = TaskSetup_TASK_FEC_RX(FEC_RX, TaskSetupParams);
         break;
      case TASK_LPC:
         TaskNum = TaskSetup_TASK_LPC(LPC, TaskSetupParams);
         break;
      case TASK_ATA:
         TaskNum = TaskSetup_TASK_ATA(ATA, TaskSetupParams);
         break;
      case TASK_CRC16_DP_0:
         TaskNum = TaskSetup_TASK_CRC16_DP_0(CRC16_DP_0, TaskSetupParams);
         break;
      case TASK_CRC16_DP_1:
         TaskNum = TaskSetup_TASK_CRC16_DP_1(CRC16_DP_1, TaskSetupParams);
         break;
      case TASK_GEN_DP_0:
         TaskNum = TaskSetup_TASK_GEN_DP_0(GEN_DP_0, TaskSetupParams);
         break;
      case TASK_GEN_DP_1:
         TaskNum = TaskSetup_TASK_GEN_DP_1(GEN_DP_1, TaskSetupParams);
         break;
      case TASK_GEN_DP_2:
         TaskNum = TaskSetup_TASK_GEN_DP_2(GEN_DP_2, TaskSetupParams);
         break;
      case TASK_GEN_DP_3:
         TaskNum = TaskSetup_TASK_GEN_DP_3(GEN_DP_3, TaskSetupParams);
         break;
      case TASK_GEN_TX_BD:
         TaskNum = TaskSetup_TASK_GEN_TX_BD(GEN_TX_BD, TaskSetupParams);
         break;
      case TASK_GEN_RX_BD:
         TaskNum = TaskSetup_TASK_GEN_RX_BD(GEN_RX_BD, TaskSetupParams);
         break;
      case TASK_GEN_DP_BD_0:
         TaskNum = TaskSetup_TASK_GEN_DP_BD_0(GEN_DP_BD_0, TaskSetupParams);
         break;
      case TASK_GEN_DP_BD_1:
         TaskNum = TaskSetup_TASK_GEN_DP_BD_1(GEN_DP_BD_1, TaskSetupParams);
         break;
   }

   return TaskNum;
}

